2019-10-14 10:23 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001896FSSCPgameplaypublic2009-03-10 17:23
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001896: 2 or more support ships in game = crash
DescriptionNoticed this while testing some TBP. If you place a support ship (or ships) in game as regular ships then a support ship is called the game crashes. Someone just reported a similar occurrence in Derelict http://www.hard-light.net/forums/index.php/topic,61511.0.html

There is a log attached to that post. I'll attach one from a test mission when I get a chance.

Additional InformationSeen in at least 3.6.10 r5063-5088.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010725

karajorma (administrator)

If a support ship is already in game then it should be used instead of warping in a new one. I just tested that in a simple mission with a support ship in place and that's exactly what happens.

So there has to be a little more to it than just placing the support ship in the mission.

~0010728

ni1s (reporter)

Apparently the hardcoded limit is 1,
code/ship/ship.cpp:13200: #define MAX_SUPPORT_SHIPS_PER_TEAM 1
Might be possile to bump this and/or softcode it to have as many as you want, as the function, as first glance, does support the use of more.

~0010729

FUBAR-BDHR (developer)

The problem occurs when you are using the ship class in a non support role. Try putting 2 in a mission. If it's not legal in game then FRED should catch it or it should crash a bit more gracefully. You have to alt-ctrl-del and end-task doesn't even work you have to stop the process.

~0010731

karajorma (administrator)

I fixed the immediate crash. The game simply uses the first support ship now.

It might be nice to softcode the number of support ships you can use though. The code definitely does appear to support it in this function at least.
+Notes

-Issue History
Date Modified Username Field Change
2009-03-09 16:54 FUBAR-BDHR New Issue
2009-03-09 20:04 FUBAR-BDHR File Added: 1896.jpg
2009-03-09 20:05 FUBAR-BDHR File Added: 1896.fs2
2009-03-09 20:05 FUBAR-BDHR File Added: fs2_open.log
2009-03-10 07:59 karajorma Note Added: 0010725
2009-03-10 13:20 ni1s Note Added: 0010728
2009-03-10 15:05 FUBAR-BDHR Note Added: 0010729
2009-03-10 17:23 karajorma Status new => resolved
2009-03-10 17:23 karajorma Fixed in Version => 3.6.10
2009-03-10 17:23 karajorma Resolution open => fixed
2009-03-10 17:23 karajorma Assigned To => karajorma
2009-03-10 17:23 karajorma Note Added: 0010731
+Issue History